# Generated by Django 3.2.2 on 2021-11-01 17:19

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('operators', '0010_update_communication_settings'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('communications', '0027_auto_20211028_1049'),
    ]

    operations = [
        migrations.AlterField(
            model_name='emailmessagemodel',
            name='status',
            field=models.PositiveIntegerField(choices=[(0, 'Enviado'), (1, 'Leído'), (2, 'Fallido'), (3, 'Recibido')], default=0),
        ),
        migrations.AlterField(
            model_name='historicalemailmessagemodel',
            name='status',
            field=models.PositiveIntegerField(choices=[(0, 'Enviado'), (1, 'Leído'), (2, 'Fallido'), (3, 'Recibido')], default=0),
        ),
        migrations.AlterField(
            model_name='historicalwhatsappmessagemodel',
            name='status',
            field=models.PositiveIntegerField(choices=[(0, 'Enviado'), (1, 'Leído'), (2, 'Fallido'), (3, 'Recibido')], default=0),
        ),
        migrations.AlterField(
            model_name='notificationmodel',
            name='agent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='notificationmodel',
            name='company',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='operators.companymodel'),
        ),
        migrations.AlterField(
            model_name='whatsappmessagemodel',
            name='status',
            field=models.PositiveIntegerField(choices=[(0, 'Enviado'), (1, 'Leído'), (2, 'Fallido'), (3, 'Recibido')], default=0),
        )
    ]
